var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconPromptContentExpansionComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-prompt_content-expansion").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 16 16" }, rest, { ref: ref }),
        React.createElement("path", { d: "M1.6 10.244a.6.6 0 0 1 .6.6v2.955h2.955a.6.6 0 0 1 0 1.2H1.6a.6.6 0 0 1-.6-.6v-3.555a.6.6 0 0 1 .6-.6Zm12.798 0a.6.6 0 0 1 .6.6v3.555a.6.6 0 0 1-.6.6h-3.555a.6.6 0 0 1 0-1.2h2.955v-2.955a.6.6 0 0 1 .6-.6ZM8 4.554c.238 0 .454.142.55.36l1.71 3.911.78 1.777a.6.6 0 0 1-1.1.481l-.62-1.418H6.68l-.62 1.418a.6.6 0 0 1-1.1-.48l.778-1.778 1.711-3.91.041-.08A.6.6 0 0 1 8 4.556Zm-.793 3.91h1.587L7.999 6.65l-.793 1.816ZM5.156 1a.6.6 0 0 1 0 1.2H2.198v2.955a.6.6 0 0 1-1.199 0V1.6a.6.6 0 0 1 .6-.6h3.555Zm9.242 0a.6.6 0 0 1 .6.6v3.555a.6.6 0 0 1-1.2 0V2.2h-2.955a.6.6 0 0 1 0-1.199h3.555Z" }));
}
var IconPromptContentExpansion = React.forwardRef(IconPromptContentExpansionComponent);
export default IconPromptContentExpansion;
